org.springframework.batch.core.jsr.configuration.xml

## Class DecisionStepFactoryBean

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.xml.DecisionStepFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<Step>, org.springframework.beans.factory.InitializingBean

      public class DecisionStepFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<Step>, org.springframework.beans.factory.InitializingBean

  `FactoryBean` for creating a `DecisionStep`.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

      `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecisionStepFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `Step` | `getObject()`
    `java.lang.Class<?>` | `getObjectType()`
    `boolean` | `isSingleton()`
    `void` | `setDecider(javax.batch.api.Decider decider)`
    `void` | `setJobRepository(JobRepository jobRepository)`
    `void` | `setName(java.lang.String name)` The name of the state

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DecisionStepFactoryBean

          public DecisionStepFactoryBean()

  - ### Method Detail

    - #### setJobRepository

          public void setJobRepository(JobRepository jobRepository)

      Parameters:
        `jobRepository` - All steps need to be able to reference a `JobRepository`

    - #### setDecider

          public void setDecider(javax.batch.api.Decider decider)

      Parameters:
        `decider` - a `Decider`
      Throws:
        `java.lang.IllegalArgumentException` - if the type passed in is not a valid type

    - #### setName

          public void setName(java.lang.String name)

      The name of the state
      Parameters:
        `name` - the name to be used by the DecisionStep.

    - #### getObject

          public Step getObject()
                         throws java.lang.Exception

      Specified by:
        `getObject` in interface `org.springframework.beans.factory.FactoryBean<Step>`
      Throws:
        `java.lang.Exception`

    - #### getObjectType

          public java.lang.Class<?> getObjectType()

      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Step>`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Step>`

    - #### afterPropertiesSet

          public void afterPropertiesSet()
                                  throws java.lang.Exception

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
      Throws:
        `java.lang.Exception`